# mediastrm.h File Reference

`#include <opal/buildopts.h>`
`#include <ptclib/delaychan.h>`
`#include <opal/mediafmt.h>`
`#include <opal/mediacmd.h>`
`#include <rtp/jitter.h>`
`#include <ptlib/safecoll.h>`
`#include <ptclib/guid.h>`

Include dependency graph for mediastrm.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | OpalMediaStream
class | OpalMediaStreamPacing
class | OpalNullMediaStream
class | OpalRTPMediaStream
class | OpalRawMediaStream
class | OpalFileMediaStream
class | OpalVideoMediaStream
class | OpalUDPMediaStream

## Typedefs

typedef PSafePtr< OpalMediaStream > | OpalMediaStreamPtr

## Typedef Documentation

typedef PSafePtr<OpalMediaStream> OpalMediaStreamPtr